# -*- coding = utf-8 -*-
# @Time : 2023/10/13 23:41
# @Author : SharelockRice
# @File :logging限制日志数量.py
# @Software : PyCharm
import logging
import logging.handlers

# 创建日志记录器
logger = logging.getLogger('my_logger')
logger.setLevel(logging.DEBUG)

# 创建 RotatingFileHandler，并设置最大日志文件数量为3
handler = logging.handlers.RotatingFileHandler('my_logs.log', maxBytes=3096000, backupCount=3)
logger.addHandler(handler)

# 设置日志记录格式
formatter = logging.Formatter('%(asctime)s - %(levelname)s - %(message)s')
handler.setFormatter(formatter)

while True:
    # 添加日志记录
    logger.debug('Debug message')
    logger.info('Info message')
    logger.warning('Warning message')
    logger.error('Error message')